apiVersion: jenkins.io/v1alpha2
kind: Jenkins
metadata:
  name: jenkins
  namespace: jenkins
spec:
  configurationAsCode:
    configurations: 
    - name: jenkins-operator-user-configuration
    secret:
      name: ""
  groovyScripts:
    configurations: []
    secret:
      name: ""
  jenkinsAPISettings:
    authorizationStrategy: createUser
  service:
    port: 8080
    type: LoadBalancer
    annotations: {
      "service.beta.kubernetes.io/azure-load-balancer-internal" : "true"
    }
  master:
    basePlugins:
    - name: kubernetes
      version: "1.30.3"
    - name: workflow-job
      version: "2.41"
    - name: workflow-aggregator
      version: "2.6"
    - name: git
      version: "4.9.0"
    - name: job-dsl
      version: "1.77"
    - name: configuration-as-code
      version: "1.54"
    - name: kubernetes-credentials-provider
      version: "0.20" 
    - name: azure-keyvault
      version: "129.vb7a46bc7b588"
    plugins:
    - name: plain-credentials
      version: "1.7"
    - name: azure-sdk
      version: "48.veb7555463c4b"
    - name: azure-credentials
      version: "190.v059127ae17bb"
    - name: caffeine-api
      version: "2.9.2-29.v717aac953ff3"
    - name: credentials-binding
      version: "1.27"
    - name: credentials
      version: "2.6.1"
    - name: docker-commons
      version: "1.17"
    - name: config-file-provider
      version: "3.8.1"
    - name: pipeline-maven
      version: "3.10.0"
    - name: nexus-jenkins-plugin
      version: "3.11.20210920-123737.0869e33"
    - name: token-macro
      version: "266.v44a80cf277fd"
    - name: ssh-credentials
      version: "1.19"
    - name: cloudbees-folder
      version: "6.16"
    - name: script-security
      version: "1.78"
    - name: jdk-tool
      version: "1.5"
    - name: junit
      version: "1.53"
    - name: pipeline-utility-steps
      version: "2.10.0"
    - name: docker-workflow
      version: "1.25"
    - name: generic-webhook-trigger
      version: "1.77"
    disableCSRFProtection: false
    containers:
      - name: jenkins-master
        image: jenkins/jenkins:2.316-alpine
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 12
          httpGet:
            path: /login
            port: http
            scheme: HTTP
          initialDelaySeconds: 200
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 5
        readinessProbe:
          failureThreshold: 10
          httpGet:
            path: /login
            port: http
            scheme: HTTP
          initialDelaySeconds: 160
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources:
          limits:
            cpu: 1500m
            memory: 3Gi
          requests:
            cpu: "1"
            memory: 500Mi